作者 主题: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条(7月4日)  (阅读 1118747 次)

离线 dweb

  • Administrator
  • 注册用户
  • *****
  • 帖子: 2874
GProxy火狐工具条 GProxy2.1版(7月4日)
http://forums.internetfreedom.org/index.php?topic=17030.0

如何在LINUX 中使用自由门
http://forums.internetfreedom.org/index.php?topic=4112.0

在MAC中使用动态网软件的详细教程
http://forums.internetfreedom.org/index.php?topic=2490.0

如何使用ipv6登录动态网
http://forums.internetfreedom.org/index.php?topic=4111.0
« 最后编辑时间: 七月 04, 2012, 08:41:01 am 作者 dweb »

春天花会开

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #1 于: 三月 09, 2011, 08:20:00 am »

如何在win xp系统下安装(实际上只是拷贝到电脑上)自由门也该出个专帖。毕竟使用xp的人最多。
因为使用 翻墙 软件的第一步是 清理电脑, 那些从没用过 翻墙软件 根本就不
知道什么是翻墙的可怜人,十有八九都安装的 被共匪收买的间谍软件360杀毒,安全卫士
之流系列软件。清理电脑首先就是要卸载360. 这个360太邪恶(一定会和共匪一样 不得善终)。
这一步最关键。切记:先把所有的文档和软件备份,特别是保存在桌面的文档。因为卸载
的时候,360会把你的保存在电脑的桌面的文档都彻底删除的。不单单删除文档,还删除
photoshop之类的软件。还删除很多的系统文件,例如和系统的搜索功能相关的程序。切记在
拔掉网线的断网下操作。第二步是手动删除360藏在电脑里的文件。有的不让删除的360癞皮狗
文件,可以用unlock软件删除。第三步是安装个安全的杀毒软件,比如小红伞9.0之类,杀掉
那些后门病毒。最后,安全起见 强烈建议重装系统。因为不知道360在系统上都做了哪些手脚,
那些简单的取消 远程控制 共享 之类的设置上的更改,很可能根本就不起作用。
偶是这样操作的。不当处请高人指教哦。

访客

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #2 于: 四月 25, 2011, 08:20:45 pm »
gp插件真的好用,可以用于火狐4.0,我先前不想试用,但是,用了过后发现用它破网比其它插件方便多了,谢谢专家

离线 liyafe1997

  • 注册用户
  • *
  • 帖子: 424
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #3 于: 四月 28, 2011, 04:47:17 am »

如何在win xp系统下安装(实际上只是拷贝到电脑上)自由门也该出个专帖。毕竟使用xp的人最多。
因为使用 翻墙 软件的第一步是 清理电脑, 那些从没用过 翻墙软件 根本就不
知道什么是翻墙的可怜人,十有八九都安装的 被共匪收买的间谍软件360杀毒,安全卫士
之流系列软件。清理电脑首先就是要卸载360. 这个360太邪恶(一定会和共匪一样 不得善终)。
这一步最关键。切记:先把所有的文档和软件备份,特别是保存在桌面的文档。因为卸载
的时候,360会把你的保存在电脑的桌面的文档都彻底删除的。不单单删除文档,还删除
photoshop之类的软件。还删除很多的系统文件,例如和系统的搜索功能相关的程序。切记在
拔掉网线的断网下操作。第二步是手动删除360藏在电脑里的文件。有的不让删除的360癞皮狗
文件,可以用unlock软件删除。第三步是安装个安全的杀毒软件,比如小红伞9.0之类,杀掉
那些后门病毒。最后,安全起见 强烈建议重装系统。因为不知道360在系统上都做了哪些手脚,
那些简单的取消 远程控制 共享 之类的设置上的更改,很可能根本就不起作用。
偶是这样操作的。不当处请高人指教哦。


没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #4 于: 四月 30, 2011, 10:03:14 pm »

如何在win xp系统下安装(实际上只是拷贝到电脑上)自由门也该出个专帖。毕竟使用xp的人最多。
因为使用 翻墙 软件的第一步是 清理电脑, 那些从没用过 翻墙软件 根本就不
知道什么是翻墙的可怜人,十有八九都安装的 被共匪收买的间谍软件360杀毒,安全卫士
之流系列软件。清理电脑首先就是要卸载360. 这个360太邪恶(一定会和共匪一样 不得善终)。
这一步最关键。切记:先把所有的文档和软件备份,特别是保存在桌面的文档。因为卸载
的时候,360会把你的保存在电脑的桌面的文档都彻底删除的。不单单删除文档,还删除
photoshop之类的软件。还删除很多的系统文件,例如和系统的搜索功能相关的程序。切记在
拔掉网线的断网下操作。第二步是手动删除360藏在电脑里的文件。有的不让删除的360癞皮狗
文件,可以用unlock软件删除。第三步是安装个安全的杀毒软件,比如小红伞9.0之类,杀掉
那些后门病毒。最后,安全起见 强烈建议重装系统。因为不知道360在系统上都做了哪些手脚,
那些简单的取消 远程控制 共享 之类的设置上的更改,很可能根本就不起作用。
偶是这样操作的。不当处请高人指教哦。


没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。



去年???!!!!! 去年还自由们能访问国内网站呢
客官给好多人清理过电脑 装过自由们?还是呢就是自己用用?超过20人你才知道国内的现状 有评论的资格. 
不会是5毛吧?


顶烟云楼挤兑银行

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #5 于: 五月 06, 2011, 07:01:42 am »

如何在win xp系统下安装(实际上只是拷贝到电脑上)自由门也该出个专帖。毕竟使用xp的人最多。
因为使用 翻墙 软件的第一步是 清理电脑, 那些从没用过 翻墙软件 根本就不
知道什么是翻墙的可怜人,十有八九都安装的 被共匪收买的间谍软件360杀毒,安全卫士
之流系列软件。清理电脑首先就是要卸载360. 这个360太邪恶(一定会和共匪一样 不得善终)。
这一步最关键。切记:先把所有的文档和软件备份,特别是保存在桌面的文档。因为卸载
的时候,360会把你的保存在电脑的桌面的文档都彻底删除的。不单单删除文档,还删除
photoshop之类的软件。还删除很多的系统文件,例如和系统的搜索功能相关的程序。切记在
拔掉网线的断网下操作。第二步是手动删除360藏在电脑里的文件。有的不让删除的360癞皮狗
文件,可以用unlock软件删除。第三步是安装个安全的杀毒软件,比如小红伞9.0之类,杀掉
那些后门病毒。最后,安全起见 强烈建议重装系统。因为不知道360在系统上都做了哪些手脚,
那些简单的取消 远程控制 共享 之类的设置上的更改,很可能根本就不起作用。
偶是这样操作的。不当处请高人指教哦。


没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。



客官也许还不知道底捏  公匪的单位 所有电脑还有服务器是强制安装的360 不允许卸载的。。。。。。。
这下该 明白是咋个意思了吧????!!!!嘻嘻 嘻嘻 公匪吗 tmd是能骗就骗滴


离线 sx151sx

  • 注册用户
  • *
  • 帖子: 1
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #6 于: 九月 03, 2011, 05:13:21 am »
在Ubuntu11。04版本下,我确实按照lz所给处的方法去安装wine,确实能启动FG最新版本,可问题出现在FG更新环节无法正常启动FG使用。这是为什么呢?
« 最后编辑时间: 九月 20, 2011, 09:52:02 pm 作者 dweb »

离线 dweb

  • Administrator
  • 注册用户
  • *****
  • 帖子: 2874
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #7 于: 九月 20, 2011, 09:51:21 pm »
在wine下不要安装封包过滤器

linyange

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #8 于: 九月 21, 2011, 09:42:12 pm »
反馈一下在Ubuntu 11.04 (Wine版本1.3.28)使用自由门系列软件的情况。

首先,运行时,不需用鼠标右键选择“open with wine windows loader”,直接双击图标即可。

双击程序图标时,会弹出窗口提示:“The file *** is not marked as executable. ...”。所以,需要先点击鼠标右键,在菜单的属性——权限——勾选“允许以程序执行文件”。这样,再双击图标就可以了。(新版的fg719,FreeU22在Ubuntu下已经默认勾选了“允许以程序执行文件”,不再需要这步手动修改。)

然后运行时,会提示安装“封包过滤器”,选择安装后会要求重启。但第二次打开时还是接着提示。估计没装上。是否“封包过滤器”只能在Windows安装使用?如果“封包过滤器”只能在Windows里才安装的上,建议将专用于Linux下的自由门版本的默认设置改为采用F通道。

因为Wine下的IE很不好用,使用代理模式时IE出错。但发现完全可以用“经典模式”来启动自由门系列软件,这样就避开使用IE的问题,自由门自动打开Linux默认的浏览器,效果要好很多。如果可能的话,建议用于Linux下的版本,事先设定为采用“经典模式”。

个人以为,可考虑根据Linux(尤其是Ubuntu)的具体情况,提供适合这个操作环境下的自由门版本,即使是在Wine平台运行的.exe文件也行,因为安装wine的用户估计还是很多的。

虽然在winetricks里安装或本网站上找到mfc42.dll,msvcp60.dll的下载没多难,但如果有这样专门用于Linux的特殊版本,将事先针对Linux调整了相关设置的自由门软件和上述2个dll文件,打包提供给用户,会更方便用户,不需要用户自己去找,去设置了。
« 最后编辑时间: 十月 08, 2011, 08:10:15 am 作者 linyange »

离线 woifq

  • 注册用户
  • *
  • 帖子: 37
  • 爱翻墙 爱国米
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #9 于: 十一月 03, 2011, 08:44:11 am »
火狐7.0無法使用GProxy火狐工具条。

离线 cejilu

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 88
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #10 于: 十一月 11, 2011, 12:19:13 am »
请问:GProxy1.67,能否支持Chrome浏览器呢?

如不能,请开发能支持Chrome浏览器的代理扩展。

离线 ytzt

  • 注册用户
  • *
  • 帖子: 3
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #11 于: 十二月 04, 2011, 07:59:43 am »
没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。



去年???!!!!! 去年还自由们能访问国内网站呢
客官给好多人清理过电脑 装过自由们?还是呢就是自己用用?超过20人你才知道国内的现状 有评论的资格. 
不会是5毛吧?

我现在也在用啊,360+动网通,挺快的啊。为什么说是5毛呢,

离线 k88649390

  • 注册用户
  • *
  • 帖子: 2
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #12 于: 一月 16, 2012, 06:32:17 am »
没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。



去年???!!!!! 去年还自由们能访问国内网站呢
客官给好多人清理过电脑 装过自由们?还是呢就是自己用用?超过20人你才知道国内的现状 有评论的资格. 
不会是5毛吧?



不要那么极端啊!人家没说什么话!我电脑上也有360 也用的是自由门 这个没什么问题吧!

离线 linyange

  • 注册用户
  • *
  • 帖子: 4
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #13 于: 二月 03, 2012, 09:07:21 pm »
新启动自由门时,有一段提示安装“封包过滤器”的文字:“自由门采用驱动技术增强突破封锁能力,需要安装封包过滤器,否则不能使用更强的!”。因为Linux操作系统下似不能安装封包过滤器,我想能不能借用这个提示窗口,增加一些文字,整体提示文字如下:

“自由门采用驱动技术增强突破封锁能力,需要安装封包过滤器,否则不能使用更强的!

适用平台:Windows XP,Windows Vista,Windows 7

注:Linux(Ubuntu)操作系统不能安装封包过滤器,请按“否”跳过此设置,并切换到“经典模式”下使用。”

(Mac OS不知使用情况如何,以上操作系统也并未一一测试,只是估计是这样。)

这样,增加这么一点,应是举手之劳,但我想能帮着使用类似Ubuntu系统的新用户快速的找到自由门的适合使用方式。
« 最后编辑时间: 二月 03, 2012, 09:43:23 pm 作者 linyange »

JF

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #14 于: 二月 06, 2012, 08:23:52 am »
没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。

我是对360深恶痛绝滴。。。用过1次,就坚决彻底地根除了。。。

离线 wang1

  • 注册用户
  • *
  • 帖子: 84
win7系统的安全性怎样?

地基

  • 访客
火狐15.01無法使用GProxy2.1编辑代理了.原来已加的还能用

离线 bluesky2013

  • 注册用户
  • *
  • 帖子: 1
GProxy火狐工具条 GProxy2.1版(7月4日)
http://forums.internetfreedom.org/index.php?topic=17030.0

如何在LINUX 中使用自由门
http://forums.internetfreedom.org/index.php?topic=4112.0

在MAC中使用动态网软件的详细教程
http://forums.internetfreedom.org/index.php?topic=2490.0

如何使用ipv6登录动态网
http://forums.internetfreedom.org/index.php?topic=4111.0


离线 735526813

  • 注册用户
  • *
  • 帖子: 1
我2013.9.4日才进这个网站,进来后视频要下载后才能观看,从最近一个礼拜就不能下载了。我的杀毒是360.请给予指导,回qq735526813也行。谢谢

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
iptables 防火墙规则(白名单模式),可过滤 RST 数据包攻击,适用于个人桌面电脑,
引用
# iptables -S
-P INPUT DROP
-P FORWARD DROP
-P OUTPUT DROP
-A INPUT ! -i lo -p tcp -m tcp --tcp-flags RST RST -j DROP
-A INPUT -m state --state RELATED,ESTABLISHED -j ACCEPT
-A INPUT -s 127.0.0.1/32 -d 127.0.0.1/32 -i lo -j ACCEPT
-A INPUT -j DROP
-A FORWARD -m state --state RELATED,ESTABLISHED -j ACCEPT
-A FORWARD -j DROP
-A OUTPUT -m state --state RELATED,ESTABLISHED -j ACCEPT
-A OUTPUT -s 127.0.0.1/32 -d 127.0.0.1/32 -o lo -j ACCEPT
-A OUTPUT -m state --state NEW -j ACCEPT
-A OUTPUT -j DROP

仅供参考

PFW 防火墙过滤规则(白名单模式),有防止 IP 地址欺骗功能,有过滤碎片攻击和 RST 攻击功能,适用于个人桌面电脑,
可应用于 FreeBSD ,TrueOS ,和苹果电脑 Mac OS X,macOS 操作系统,

« 最后编辑时间: 昨天 08:38:30 pm 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
可运行自由门和无界浏览翻墙软件的几种操作系统:Linux ,UNIX ,Mac OS X  ( macOS ),


< 一 > Linux 操作系统:(通用,免费下载使用)

                           (1) Debian 8,(代号 jessie),网络防火墙:iptables,生命周期 5 年,(官方安全更新支持 2015 年 5 月 ~ 2020 年 5 月)
                           (2) Debian 9,(代号 stretch),网络防火墙:iptables,生命周期 5 年,(官方安全更新支持 2017 年 6 月 ~ 2022 年 6 月)

                             Debian 8( jessie),(2015年5月——2020年5月)
                             Debian 9( stretch),(2017年6月——2022年6月)

                           (3) openSUSE 42.3,网络防火墙:iptables,生命周期大约 1 年 + 6 个月,(官方安全更新支持 2017 年 7 月 ~ 2019 年 1 月 )


< 二 > UNIX 操作系统:(通用,免费下载使用)

                           (1) FreeBSD 11,网络防火墙:IPFW 或 PF 任选其一,
FreeBSD 11 生命周期 5 年,——> 需要终端命令从一个小版本升级到下一个小版本,大约每隔 13 个月需要手动升级一次,

(官方安全更新支持 2016 年 10 月 10日~ 2021 年 9 月 30 日),其中任何一个小版本比如 FreeBSD 11.1-RELEASE 生命周期大约 1 年 + 3 个月,
                           (2) TrueOS ,( 基于 FreeBSD 12.0-CURRENT ),网络防火墙: IPFW( 默认 ), PF( 可选 ),(生命周期大约 2 年,可以用到 2018 年 9 ~11 月暨 FreeBSD 12.0-RELEASE 发布为止 )


< 三 > Mac 苹果电脑操作系统:(苹果电脑专用,免费下载使用)

                           (OS X 的生命周期大约 3 年 + 2 个月)

                              OS X 10.8,(2012年7月——2015年10月)
                              OS X 10.9,(2013年10月——2016年11月)
                              OS X 10.10,(2014年10月——2017年12月)
                              OS X 10.11,(2015年9月——2018年11月)
                              macOS 10.12,(2016年9月——2019年11月)
                              macOS 10.13,(2017年9月——2020年11月)

                           (A)系统防火墙( 苹果系统自带,默认为关闭状态,相当于没有防火墙,必需在打开状态才会保护系统, ),普通用户仅此一个简单的系统防火墙已经够用,

                           (B)网络防火墙: IPFW 或 PF 任选其一,( 苹果系统自带, 默认已经启用,但过滤规则为空,相当于没有,),通过 [ 终端 ] 命令,添加规则才会起作用, 如使用 [ 整机隔离虚拟机之 Host— only ] 方案,必须设置 IPFW 或 PF 防火墙,

                           (C)应用程序防火墙( 可选 ):第三方应用程序防火墙 Little Snitch ,(商用软件),


在这几类操作系统上面可以用 wine 直接运行 Windows 版本的 自由门/无界浏览 等 翻墙软件,
运行自由门等翻墙软件,需要把 mfc42.dll 和 msvcp60.dll 还有 mfc42u.dll 这三个*.dll文件和翻墙软件放在同一个文件夹里,

动态网官方下载:
http://www.dongtaiwang.com/loc/software/dll/msvcp60.dll
http://www.dongtaiwang.com/loc/software/dll/mfc42.dll
http://dongtaiwang.com/loc/software/dll/mfc42u.dll

Windows XP SP3 原版操作系统上也可以找到这三个*.dll文件。

注释:

过去的旧版本自由门和无界浏览需要这些 .dll 文件,自由门 fg760p.exe 需要 mfc42u.dll 这一个文件,


~~~~~~~~~~~~~~~~~~~~~~以下为自由门实例~~~~~~~~~~~~~~~~~~~~~~~~~~~

(1)
Linux 操作系统: Debian 9 ,( amd64 ),( 代号 stretch ,官方安全更新支持到 2022 年 6 月 ),简体中文 KDE 桌面,整块硬盘全盘加密 ( boot 分区除外 ),防火墙:iptables

用 wine 运行自由门 fg761p.exe,成功连接7个服务器,端口:8580, 通道(A),

火狐浏览器 Firefox ESR 52.2.0 (64位) ,手动设置本地代理 127.0.0.1:8580 ,浏览网页正常,

(2)
成功连接7个服务器,端口:8580, 通道(A),

Linux 操作系统: Debian 8 ,( amd64 ),(代号 jessie ,官方安全更新支持到 2020 年 5 月),简体中文 KDE 桌面,整块硬盘全盘加密 ( boot 分区除外 ),防火墙:iptables

用 wine 运行自由门 fg761p.exe,不需要 mfc42u.dll 文件了,鼠标直接单击 fg761p.exe 即可运行,

火狐浏览器 Firefox ESR 45.9.0 ,手动设置本地代理 127.0.0.1:8580 ,浏览网页正常,

(3)
成功连接7个服务器,端口:8580, 通道(A)

Linux 操作系统:openSUSE Leap 42.3,( 官方安全更新支持到 2019 年 1 月 ),简体中文 KDE Plasma 桌面,全盘加密 ( boot分区除外 ),防火墙:iptables

用 wine-2.0.1 运行自由门 fg761p.exe ,

火狐浏览器 Firefox 52.2.0 ( 64位 ) 手动设置本地代理 127.0.0.1:8580,打开网页速度很快,

(4)
成功连接7个服务器,端口:8580, 通道(A),翻墙浏览网页正常,

UNIX 操作系统:TrueOS,(基于 FreeBSD 12.0-CURRENT),简体中文 Lumina 1.2.1 桌面,整块硬盘 GELI 全盘加密, 防火墙 IPFW,火狐浏览器 Firefox 53.0 ( 64-bit ),

用 wine 运行自由门 fg761p.exe,鼠标直接双击 fg761p.exe 即可运行,


~~~~~~~~~~~~~~~~~~~~~~以下为无界浏览实例~~~~~~~~~~~~~~~~~~~~~~~~~~~

无界中文技术支持区:http://forums.internetfreedom.org/index.php?board=8.0

无界浏览17.04正式版 (2017年11月12日)
17.03发现了一些问题,请更新到17.04。

无界火狐扩展17.03正式版 (2017年11月11日)
谢谢大家测试并反馈,17.03c 升级为17.03正式版。

支持 微软 Windows 电脑操作系统,苹果 Mac OS X ( macOS ) 电脑操作系统,Linux 电脑操作系统,32/64(不需要安装和运行 wine ),

无界Linux VPN 17.03正式版 (2017年11月11日)
谢谢大家测试并反馈,17.03c 升级为17.03正式版。

支持 Linux 电脑操作系统,32/64(不需要安装和运行 wine ),


新手安装,建议使用 openSUSE 或者 TrueOS,
这两个发行版属于傻瓜式安装类型,官方软件源无需用户自己设置,系统防火墙已经默认在安全防护状态,

Debian 需要用户自己添加官方软件源,需要用户自己设置系统防火墙,有些电脑还需要用户添加网卡驱动(在安装过程中,通过用户的 U 盘自动安装),
Debian 在安全,稳定,软件兼容,硬件兼容,生命周期( lifetime ),这几个方面都是最好的,

TrueOS 在安全和稳定方面很好,一些功能很独特,如 启动环境,系统快照与恢复,ZFS 文件系统,GELI 全磁盘加密,Lumina 1.3.0 桌面环境,IPFW 网络防火墙,在硬件兼容和软件兼容方面与 FreeBSD 一样 ,还不是太好。

总体而言,Linux 比 UNIX 好用得多,与 Linux 相比,UNIX 还是差得很远,
FreeBSD 更新时下载速度太慢,硬件兼容方面没有 TrueOS 好,而 TrueOS 更新方面还有些问题,UNIX 操作系统主要是安全和稳定,有 IPFW 防火墙,PF 防火墙,


参考:
几个安全好用的 Linux / UNIX 操作系统——应用比较


仅供参考
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* Debian 安装过程中需要事先准备好一个U盘自动安装缺失的固件,

Debian 各种版本的固件(主要是网卡驱动)官方下载,
http://cdimage.debian.org/cdimage/unofficial/non-free/firmware/

都在这个网页上,大约每周更新一次,
下载之后解压,复制到一个U盘(建议FAT32格式)里,安装操作系统时,如果缺少某个固件,系统会提示,接上此U盘之后系统会自动扫描搜索到相应的固件并自动安装,

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* iptables 网络防火墙 或 ipfw 网络防火墙添加一条规则就可以屏蔽来自 GFW 的 RST 攻击,

iptables 防火墙在 INPUT 链尽可能靠前的地方添加下面这一条规则即可,
引用
iptables -A INPUT -p tcp --tcp-flags RST RST -j DROP


ipfw 防火墙在过滤规则尽可能靠前面的地方添加例如下面这一条规则即可,
引用
ipfw -q add 800 deny tcp from any to me tcpflags rst in

( 其中 800 是序号,用户可以根据具体规则上下文决定序号,)

IPFW 防火墙过滤规则应用实例:适用于 FreeBSD ,TrueOS ,Mac OS X,

Linux 防火墙添加一条规则可屏蔽 RST 攻击,

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

在 Windows 操作系统上面,可以安装能够屏蔽 RST 攻击的第三方防火墙 outpost firewall pro , (其官方网站大约在两年前已经被收购,已经终止研发了,不过网上还能见到有提供下载,)

GFW 向翻墙用户电脑和海外翻墙软件服务器同时发送RST位被置1的TCP数据包,目的是人为中断用户翻墙软件与海外网站的连接,目前作为一种辅助的封网技术仍然在使用,

« 最后编辑时间: 十一月 12, 2017, 02:27:42 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
适合苹果电脑操作系统 Mac OS X 或 macOS 的 wine ,

< 一 >,可以从苹果电脑软件库下载 ( dmg 格式 ):

http://www.macupdate.com

关键词:WineBottlerCombo
文件名:WineBottlerCombo_1.8.3.dmg ,

只安装 wine 那一部分即可,不必安装 WineBottler 部分,

< 二 >,也可以从 Wine 官方下载 ( pkg 格式 ):

https://dl.winehq.org/wine-builds/macosx/pool/

https://dl.winehq.org/wine-builds/macosx/pool/winehq-stable-2.0.1.pkg
https://dl.winehq.org/wine-builds/macosx/pool/winehq-stable-2.0.1.pkg.sig

说明:

以上 dmg 格式和 pkg 格式的 Wine ,对于自由门和无界浏览的某些版本不兼容或兼容效果不好,估计将来也不会有所改善,不推荐安装,仅供测试参考,


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


从翻墙应用角度来说,苹果电脑操作系统本身并不是一个适合的操作系统,最好是在 OS X 上面运行虚拟机翻墙,

如果安装应用程序防火墙 Little Snitch,设置相应的具体规则,网络防火墙 IPFW 或 PF 也设置过滤规则,那么苹果电脑操作系统 OS X 就非常安全了,其中 Little Snitch 防火墙对 OS X 上面的任何程序(包括 Little Snitch 本身)的联网请求都能够永久(或临时)禁止,明查秋毫,

苹果电脑 OS X 操作系统上面,建议安装 VMware Fusion 虚拟机软件,虚拟 Debian(全盘加密),或 openSUSE(全盘加密),或 TrueOS (全盘加密)运行翻墙软件,或虚拟 Windows XP 运行打印机,
VirtualBox 虚拟机软件(免费)也可以安装,这个软件的兼容和其它功能方面没有 VMware Fusion 的好,

安全提醒:

用来翻墙的苹果电脑操作系统,不要启用苹果给的那个免费的网络空间(大约 5 G),以避免用户电脑硬盘上的个人资料和其它信息直接上传到苹果公司的云服务器备份,


从苹果电脑操作系统 OS X上面直接安全翻墙,目前主要使用无界火狐扩展测试版0.3b (2017年2月21日) ,


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


苹果电脑操作系统,简单安全的翻墙方法:无界火狐扩展,( 无需安装 wine )

先安装一个火狐浏览器,然后在火狐浏览器上面安装无界浏览火狐扩展,

参考:   无界火狐扩展测试版0.3b (2017年2月21日)
更新内容:
1. 修复了SSL警告 (请测试)
2. 增加了HTTPS的稳定性和速度

最近更新内容:
1. 启动时自动关闭WebRTC, Java, Flash, SilverLight (Windows) 以避免泄露IP。关闭时自动恢复原来的设置。

请将旧版卸载再安装新版以免有冲突。

自带破网功能,无需运行其他破网软件,支持Windows, Mac, Linux, 32/64 (不需要再运行wine).

安装: 可以用火狐直接下载安装,点击“允许”。如火狐禁止下载,可用其他浏览器下载后用鼠标拉到火狐浏览器,点击“安装”。

使用:点击火狐右上角的无界图标,点击开关即可开启或关闭。 连接成功后,无界图标变成彩色。

http://wujieliulan.com/download/uf003b.xpi
SHA1: bbc4bff44a8f3893649aa350ae8a74abd31b2563
MD5: e380fa668942b557f5310545e05b5d9a


无界火狐扩展——成功的实例:

1),
谢谢 ultra ,

苹果电脑操作系统:OS X EI Captian 版本 10.11.6,无界火狐扩展 17.03c 测试版 u1703c.xpi,翻墙成功,
测试 https 网页 https://www.freebsd.org 成功,

火狐浏览器Firefox ESR 52.4.1 (64位),无需手动设置本地代理 127.0.0.1:9666,服务器连接稳定,浏览网页正常,


2),
苹果电脑操作系统:macOS Sierra 版本 10.12.6,无界火狐扩展 17.03c 测试版 u1703c.xpi,翻墙成功,
测试 https 网页 https://www.freebsd.org 成功,

火狐浏览器 Firefox ESR 52.4.1 (64位),无需手动设置本地代理 127.0.0.1:9666,服务器连接稳定,浏览网页正常,


« 最后编辑时间: 十一月 09, 2017, 07:01:02 pm 作者 jingyue »

离线 马加杰

  • 注册用户
  • *
  • 帖子: 7
为什么自由门访问不了国内网站

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
< 一 > Linux 操作系统:openSUSE Leap 42.3,( 官方安全更新支持到 2019 年 1 月 ),在线安装 wine:

( 1 ) 获取 root 权限,【终端】命令 :(  Linux, UNIX, OS X,通用  ),
引用
su

或者
引用
sudo su

( 2 ) openSUSE Leap 42.3 在线下载并安装 wine 软件,root 权限下,在【终端】里执行如下命令:
引用
zypper update

引用
zypper install wine



< 二 > Linux 操作系统: Debian 8,( 代号 jessie ,官方支持到 2020 年 5 月 ),简体中文 KDE 桌面,( 桌面环境:GNOME,Xfce,KDE,Cinnamon,MATE,LXDE,可在安装过程中选择,默认安装 GNOME 桌面,)在线安装 wine-1.6.2 版本:

( 1 ) Debian 8( 代号 jessie ) 添加官方软件源,( 北美洲 ),root 权限下,在【终端】里执行下面这一个命令:

echo "deb http://ftp.debian.org/debian/ jessie main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free

deb http://ftp.debian.org/debian/ jessie-updates main contrib non-free

   " > /etc/apt/source.list


( 2 ) Debian 8, ( i386 ),( 代号 jessie )在线下载并安装 wine-1.6.2 软件,root 权限下,在【终端】里执行下面这两个命令:
引用
apt-get update

引用
apt-get install  wine


注:所有的【终端】命令,都可以采用从这里复制一个,然后粘贴到终端里执行的办法,不必一个一个字母地敲击键盘输入,

« 最后编辑时间: 七月 30, 2017, 06:11:42 am 作者 jingyue »

离线 beijiabc

  • 注册用户
  • *
  • 帖子: 1
不懂英文,没法操作

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #25 于: 十二月 26, 2015, 08:44:03 pm »
ubuntu 12.04 LTS 版本 ( 官方安全更新支持到 2017 年 4 月 28 日截止 ),已被官方淘汰,不安全了,建议不要继续使用,

ubuntu 14.04 LTS 版本 ( 官方安全更新支持到 2019 年 4 月 xx 日截止 ),默认安装 wine-1.6.2,支持自由门 fg761p.exe,不支持无界浏览 u1603.exe

ubuntu 16.04 LTS 版本(已经测试,此版本不支持自由门,无论 ubuntu 16.04 官方软件源里面的 wine-1.6.2 deb 软件包,还是用 wine 官方网站发布的 wine-1.6.2 源码包, wine-2.0.1 源码包,都不支持自由门 fg761p.exe 和 无界浏览 u1603.exe,也有网友发帖说 wine-2.0.2 也不支持自由门,)

ubuntu 16.04 不支持自由门 fg761p.exe ,也不支持无界浏览 u1603.exe,

安全提醒:

ubuntu 16.04 LTS 又增加了一个操作系统级别的用户数据搜集和汇报选项,默认是开启的,其 开启/关闭 位置在 [ 系统设置 ] ——> [ 安全和隐私 ] ,包括 [ 文件和应用 ] , [ 诊断 ],
引用
* 记录文件和应用的使用情况,包括:
电子表格,
聊天记录,
视频,
图片,
文档,
演示文稿,
音乐,

引用
* 向  Canonical 公司发送错误报告
错误信息包括 XXX,XXX,
* 发送少量系统信息给 Canonical 公司
这些信息包括多少程序在运行,XXX,XXX,


ubuntu 不安全【注1】,泄露用户隐私,上传用户本地搜索数据【注2】到 Canonical 公司的服务器,

ubuntu (包括 LTS 版本)是由 Debian 测试版和 Debian 不稳定版的部分软件包,经过重新打包而成的,ubuntu 在安全,稳定,硬件兼容,软件兼容,几方面都不如 Debian 稳定版,
openSUSE 42.3 比 ubuntu 安全,傻瓜式安装,全面防护,适合新手安装,

Debian 以稳定著称,对各种硬件和软件兼容非常好,安全,好用,

【注1】:
引用
Ubuntu adds features in ways that we find dangerous for privacy. For example Ubuntu One (partly discontinued) and the Amazon ads and data leaks.

We think that the general quality of the maintenance work being done on packages matters from a security perspective. Debian maintainers generally are experts in the fields their packages deal with; while it is generally not the case outside of the limited number of packages Ubuntu officially supports

( 英文大意: ubuntu 官方只对有限数量的软件包进行安全维护,)

参考来源:
https://tails.boum.org/support/faq/index.en.html#index3h2


【注2】:
引用
But not always. Ubuntu, a widely used and influential GNU/Linux distribution, has installed surveillance code. When the user searches her own local files for a string using the Ubuntu desktop, Ubuntu sends that string to one of Canonical's servers. (Canonical is the company that develops Ubuntu.)

Ubuntu uses the information about searches to show the user ads to buy various things from Amazon.

Even if it were disabled by default, the feature would still be dangerous

参考来源:
http://distrowatch.com/weekly.php?issue=20151214#news
https://www.gnu.org/philosophy/ubuntu-spyware.html
https://www.fsf.org/blogs/rms/ubuntu-spyware-what-to-do


中文参考一,
Ubuntu 间谍软件:该怎么办?

中文参考二,
为什么Tails 基于 Debian 而不是 ubuntu?

« 最后编辑时间: 九月 25, 2017, 07:21:47 am 作者 jingyue »

ah cat

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #26 于: 二月 14, 2016, 01:54:45 pm »
在wine下不要安装封包过滤器


离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
Debian 8.3.0 ,自由门翻墙,在线观看 2016年新唐人电视台全球华人新年晚会--神韵晚会,成功,

Debian 8.3.0 版本,( 代号 jessie ,官方支持到 2020 年 ),在线播放 新唐人中国频道 电视节目,需要安装 flash 播放器插件,flashplayer 11.2.202.569 版本,
root 权限下,在【终端】里执行下面这一个命令,将从 adobe.com 官方网站下载并安装 Iceweasel 冰鼬 (火狐) 浏览器插件 flashplayer 11.2.202.569 版本,( 安装之后在浏览器附加组件那里显示为 Shockwave Flash 11.2.202.569 版本):
引用
apt-get install flashplugin-nonfree


« 最后编辑时间: 二月 23, 2016, 12:35:38 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
GProxy火狐工具条 GProxy2.1版(7月4日)
http://forums.internetfreedom.org/index.php?topic=17030.0

以上旧版本已经失效,

新版本 2.1.1(2016年1月26日)适用于 火狐 Firefox 45.2.0 及以后更高版本,

引用自: dweb http://dongtaiwang.com/loc/download.php
GProxy火狐工具条2.1.1版 (2016年1月26日)
火狐浏览器Firefox和雷鸟电邮Thunderbird的附加软件, 让用户在火狐浏览器和雷鸟电邮中方便的切换代理服务器,支持世界通、自由门、无界、花园,支持正体、简体中文和英文界面。

 官方下载zip   
http://dongtaiwang.com/loc/software/gproxy_plus/gproxy_plus-2.1.1.zip

 官方下载xpi
http://dongtaiwang.com/loc/software/gproxy_plus/gproxy_plus-2.1.1.xpi

 PGP 数字签名
http://dongtaiwang.com/loc/software/gproxy_plus/gproxy_plus-2.1.1.xpi.asc

 数字指纹 MD5
http://dongtaiwang.com/loc/software/gproxy_plus/gproxy_plus-2.1.1.xpi.md5.txt


离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
flashplayer 11.2.202 安全更新,

Debian 8.3.0 ,自由门翻墙,在线观看 2016年新唐人电视台全球华人新年晚会--神韵晚会,成功,

Debian 8.3.0 版本,( 代号 jessie ,官方支持到 2020 年 ),在线播放 新唐人中国频道 电视节目,需要安装 flash 播放器插件,flashplayer 11.2.202.569 版本,
root 权限下,在【终端】里执行下面这一个命令,将从 adobe.com 官方网站下载并安装 Iceweasel 冰鼬 (火狐) 浏览器插件 flashplayer 11.2.202.569 版本,( 安装之后在浏览器附加组件那里显示为 Shockwave Flash 11.2.202.569 版本):

flash 播放器插件 flashplayer 11.2.202.569 因安全问题已经被火狐浏览器 Firefox ESR 45.3.0 禁用,要想更新安全的版本,需要卸载当前版本,然后在线安装最新版本,

卸载旧版本:
引用
# apt-get purge flashplugin-nonfree

安装新版本:
引用
# apt-get install flashplugin-nonfree


目前最新 Linux 版本是 11.2.202.632,更新日期:2016年06月29日,

在 Debian 8.5.0 操作系统上,用翻墙软件代理,可在线播放新唐人电视台节目,

« 最后编辑时间: 九月 02, 2016, 09:22:15 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
ubuntu 16.04.1 在线安装 adobe flash 播放器插件,

【终端】命令:
引用
sudo su

引用
echo "deb http://archive.canonical.com/ubuntu xenial partner" >> /etc/apt/sources.list && apt-get update && apt-get install --assume-yes adobe-flashplugin



离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
如早期安装的 flash 播放插件因有安全漏洞而被火狐浏览器禁用,需要更新到安全版本才可继续使用,

ubuntu 16.04.1 在线更新 adobe flash 播放器插件,
引用
sudo su

引用
apt-get purge --assume-yes adobe-flashplugin && apt-get update && apt-get install --assume-yes adobe-flashplugin

« 最后编辑时间: 九月 04, 2016, 03:58:10 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
Debian 8 安装火狐浏览器插件 flashplayer 在线观看 2017 年新唐人电视台全球华人新年晚会 —— 神韵晚会,

Debian 8.3.0 ,自由门翻墙,在线观看 2016年新唐人电视台全球华人新年晚会--神韵晚会,成功,

Debian 8( 代号 jessie ,官方支持到 2020 年 ),在线播放 新唐人中国频道 电视节目,需要安装 flash 播放器插件,flashplayer ,
root 权限下,在【终端】里执行下面这一个命令,将从 adobe.com 官方网站下载并安装火狐浏览器插件 flashplayer,( 安装之后在浏览器附加组件那里显示为 Shockwave Flash )

火狐浏览器 Firefox ESR ,需要更新 flash 播放器插件 flashplayer:

(1) 卸载旧版本:
引用
# apt-get purge flashplugin-nonfree

(2)安装新版本:
引用
# apt-get update

引用
# apt-get install flashplugin-nonfree


目前 Shockwave Flash 版本是 24.0 r0,更新日期:2016年12月11日,

如果火狐浏览器安装了 RequestPolicy 和 NoScript 这两个组件,则需要禁用 RequestPolicy 和 NoScript,

打开火狐浏览器界面,右上角——> 打开菜单——> 附加组件——> 扩展——> RequestPolicy ——> 点击 [ 禁用 ],
打开火狐浏览器界面,右上角——> 打开菜单——> 附加组件——> 扩展——> NoScript ——> 点击 [ 禁用 ],
然后从新启动火狐浏览器,即可,

引用
http://dongtaiwang.com/loc/phome.php?lang=cn
新唐人对大陆特别播出2017年全球华人新年晚会

针对中国大陆观众,新唐人将播出〝2017年新唐人电视台全球华人新年晚会〞——大陆版,是最新的神韵晚会节目,但只限于中国大陆地区收看。请通过翻墙软体自由门或无界浏览观看。
低频宽    中频宽   高频宽
四次播出时间如下(北京时间):

1月27日(除夕)晚上8:00点-11:00点
1月27日(除夕)晚上11:00点-凌晨2:00点
1月28日(初一)上午9:00点-12:00点
1月28日(初一)下午1:00点-4:00点

Debian 8.7.1,火狐浏览器 Firefox ESR 45.7.0 版本安装 Flash 插件之后,通过自由门 fg759p.exe 翻墙,在线观看新唐人电视中国频道( 低频宽    中频宽   高频宽 ),测试,成功,

« 最后编辑时间: 一月 27, 2017, 01:15:07 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 527
Debian 9,代号 stretch,生命周期 5 年,官方安全更新支持 2017 年 6 月 ~ 2022 年 6 月 ,

Debian 9 ,( amd64 ) 在线安装 wine32 ,

(1)Debian 9 官方软件源( /etc/apt/sources.list )之一,( 仅供参考 ),

引用
deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb http://ftp.us.debian.org/debian/ stretch main contrib non-free
deb http://ftp.debian.org/debian/ stretch-updates main contrib non-free

### deb http://ftp.de.debian.org/debian stretch-backports main contrib non-free


(2)Debian 9 ( amd64 ) 在线安装 wine32 ,终端命令,
引用
# dpkg --add-architecture i386 && apt-get update && apt-get install wine32


到此安装结束,

~~~~~~~~~~~~~~~~~~~~~~~~

以下仅供参考,

(1)查看 wine 版本号,
引用
~$ wine --version
wine-1.8.7 (Debian 1.8.7-2)


(2)查看 Debian 发行版本号,
引用
~$ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 9.0 (stretch)
Release:        9.0
Codename:       stretch


(3)在线安装 ufw 防火墙, (ufw 是一个自动配置 iptables 防火墙的脚本),
引用
# apt-get install ufw

设置ufw 防火墙启用保护(必需),
引用
# ufw enable


(4)查看 iptables 防火墙的规则,
引用
# iptables -S


« 最后编辑时间: 六月 22, 2017, 01:40:21 am 作者 jingyue »